﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WGneu.Models
{
    [Table("country"), PrimaryKey("Alpha2")]
    public class Country
    {
        [Column("alpha2")]
        public String Alpha2 { get; set; }

        [Column("alpha3")]
        public String Alpha3 { get; set; }

        [Column("num")]
        public int Num { get; set; }

        [Column("name")]
        public String Name { get; set; }

        [Column("is_visible")]
        public int IsVisible { get; set; }
    }
}
